<?php namespace App\Models;

use CodeIgniter\Model;

class PerfilModel extends Model {
  protected $table = 'perfil';
  protected $primaryKey = 'IDPerfil';
  protected $allowedFields = ['Perfil', 'URLBase', 'UsuarioCrea', 'FechaCrea', 'UsuarioModifica', 'FechaModifica', 'Localhost', 'Estado'];
  
  public function listadoPerfilesSelect($variable)
  {
      $this->select('
        IDPerfil,
        Perfil,
        URLBase,
        Estado');
      $this->where("Estado", "A");
      $this->like("Perfil", $variable);;

      $datos = $this->findAll();
      return $datos;
  }

}
